<div class="page-wrapper">
    <div class="page page-groups user-view-page _normal-container">
        <zeb-page-header
            page-title="$ctrl.currentTitle">
            <md-button class="page-groups__add-btn md-primary md-raised _left-icon gtm-new-group-button _small"
                ng-click="$ctrl.showGroupDialog($event)"
                ng-if="$ctrl.userHasAnyPermission(['iam:groups:update'])">
                <md-icon class="material-icons">add_circle</md-icon>
                <span class="md-button__text">New group</span>
            </md-button>
        </zeb-page-header>
        <div class="ui-section">
            <div ng-cloak class="user-view-page__body">
                <article class="article">
                    <md-card class="no-margin-h">
                        <div data-ng-if="$ctrl.groups.length" class="users-groups__list md-dialog-content">
                            <div class="users-groups__item"
                                layout="column"
                                data-ng-repeat="group in $ctrl.groups | orderBy:'name'">
                                <div flex name="groupRole" class="users-groups__item-header">
                                    <b name="groupName" class="ng-binding">{{group.name}}</b>
                                    <span ng-if="group.users.length" name="groupSize">contains {{group.users.length}} users</span>
                                    <span ng-if="!group.users.length" name="groupSize">is empty</span>
                                    <md-menu class="pull-right">
                                        <md-button name="userMenu" aria-label="User settings" class="md-icon-button"
                                            data-ng-click="$mdMenu.open($event);">
                                            <md-icon class="material-icons">more_vert</md-icon>
                                        </md-button>
                                        <md-menu-content width="2">
                                            <md-menu-item ng-if="$ctrl.userHasAnyPermission(['iam:groups:update'])">
                                                <md-button name="editGroup" ng-click="$ctrl.showGroupDialog($event, group);">
                                                    Edit
                                                </md-button>
                                            </md-menu-item>
                                            <md-divider></md-divider>
                                            <md-menu-item ng-if="$ctrl.userHasAnyPermission(['iam:groups:delete'])">
                                                <md-button name="deleteGroup"
                                                    class="_red"
                                                    ng-really-click="$ctrl.deleteGroup(group)"
                                                    ng-really-message="Do you really want to delete this group?">
                                                    Delete
                                                </md-button>
                                            </md-menu-item>
                                        </md-menu-content>
                                    </md-menu>
                                </div>
                                <md-input-container class="users-groups__item-content chips-input-container no-margin _with-img _no-label ">
                                    <md-chips ng-model="group.users"
                                        class="photo-chip users-groups__item-chips"
                                        md-require-match=true
                                        filter-selected=true
                                        md-autocomplete-snap
                                        md-on-add="$ctrl.addUserToGroup($chip, group)"
                                        md-on-remove="$ctrl.deleteUserFromGroup($chip, group)">
                                        <md-chip-template name="chip">
                                            <profile-photo ng-model="$chip.photoUrl" size="40" squared="20" chip="true" auto-resize="false"></profile-photo>
                                            {{$chip.username}}
                                        </md-chip-template>
                                        <md-autocomplete md-search-text="searchText" md-items="user in $ctrl.querySearch(searchText, group)"
                                            md-item-text="user.username" md-selected-item="selectedUser" md-autoselect md-no-cache="true"
                                            placeholder="add user">
                                            <md-item-template style="z-index: 10000;">
                                                <span name="suggestion" class="chip-suggestion">
                                                    <profile-photo ng-model="user.photoUrl" size="40" chip="true" squared="20"></profile-photo>
                                                    {{user.username}}
                                                </span>
                                            </md-item-template>
                                            <md-not-found id="notRecipients">
                                                No users matching "{{searchText}}" were found.
                                            </md-not-found>
                                        </md-autocomplete>
                                    </md-chips>
                                </md-input-container>
                            </div>
                        </div>
                        <div data-ng-if="!$ctrl.count" class="ng-hide users-groups__item _empty">No groups created</div>
                    </md-card>
                </article>
            </div>
        </div>
    </div>
</div>
